#pragma once

#include "CoreMinimal.h"
#include "ERewardType.h"
#include "ECurrencyType.h"
#include "EProgressionType.h"
#include "MysteryBoxClaimedReward.generated.h"

USTRUCT(BlueprintType)
struct FMysteryBoxClaimedReward
{
	GENERATED_BODY()

public:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	FString Id;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	ERewardType Type;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	ECurrencyType Currency;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	bool Currency_IsSet;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	EProgressionType Progression;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	bool Progression_IsSet;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	int32 Amount;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	bool Amount_IsSet;

public:
	DEADBYDAYLIGHT_API FMysteryBoxClaimedReward();
};

FORCEINLINE uint32 GetTypeHash(const FMysteryBoxClaimedReward) { return 0; }
